aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/deploy-jars-repack200.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-28 05:55:38 +0200
committerSven Gothel <[email protected]>2010-04-28 05:55:38 +0200
commite5720ee629fba06bc266265b42eb559150f7d7a3 (patch)
tree767e3da76d48ed46879c1b78a186d1b5d44ca2e2 /make/scripts/deploy-jars-repack200.sh
parenta08c3c054a6b9cfe892d2516c66362083dc72290 (diff)
Integrate deployment scripts. jar: copy-repack200-sign-pack200. jnlp: copy-filter
Diffstat (limited to 'make/scripts/deploy-jars-repack200.sh')
-rwxr-xr-xmake/scripts/deploy-jars-repack200.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/make/scripts/deploy-jars-repack200.sh b/make/scripts/deploy-jars-repack200.sh
new file mode 100755
index 000000000..1169d63c3
--- /dev/null
+++ b/make/scripts/deploy-jars-repack200.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+rm -rf orig-jars
+mkdir -p orig-jars
+
+for i in *.jar ; do
+ cp -a $i orig-jars
+ echo pack200 --repack $i
+ pack200 --repack $i
+done
+
+cd $THISDIR
+